/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLMetaElement_H__
#define __GdomHTMLMetaElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLMetaElement GdomHTMLMetaElement;
typedef struct _GdomHTMLMetaElementClass GdomHTMLMetaElementClass;


#define GDOM_TYPE_HTML_META_ELEMENT            (gdom_html_meta_element_get_type())
#define GDOM_HTML_META_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_META_ELEMENT, GdomHTMLMetaElement))
#define GDOM_HTML_META_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_META_ELEMENT, GdomHTMLMetaElement)Class)
#define GDOM_IS_HTML_META_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_META_ELEMENT))
#define GDOM_IS_HTML_META_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_META_ELEMENT))
#define GDOM_HTML_META_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_META_ELEMENT, GdomHTMLMetaElementClass))

typedef struct _GdomHTMLMetaElementPrivate GdomHTMLMetaElementPrivate;

struct _GdomHTMLMetaElement {
    GdomHTMLElement parent_instance;
    GdomHTMLMetaElementPrivate *priv;
};

struct _GdomHTMLMetaElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_meta_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLMetaElement_H__ */
